Subject: RE: Please publish the attached draft-galb-filexfer-extensions-00.txt

From: "Richard Whalen" <[email-masked]>
Date: Tue, 17 Jan 2006 13:23:10 -0500

Yes, the data would be copied until EOF on the read handle.

Whether or not the files are opened for text transfer a well written server should check for the potentially bad case of the read file and the write file being the same.

-----Original Message-----
From: Joseph Galbraith [mailto:[email-masked]]
Sent: Tuesday, January 17, 2006 12:46 PM
To: Richard Whalen
Cc: [email-masked]
Subject: Re: Please publish the attached
draft-galb-filexfer-extensions-00.txt

Richard Whalen wrote:
> I think that "copy-data" should either be forbidden for text
files, or as follows:
> 
> Both files must be opened for text transfer. The
"write-to-offset" is ignored, and the transfer starts at the
server's current write position. The "read-from-offset" and
"data-length" parameters are ignored.

If the "data-length" parameter is ignore, how much data
is copied?  Until EOF is reached?

Unless someone really needs this to work usefully in text
mode, I'm strongly tempted to let it pass--

> This avoids problems with differences in the way the file may
be stored and problems with the (write?) data length being less
than the difference between the write-to-offset and the current
allocation o the file being written to.

Thanks,

Joseph

> -----Original Message-----
> From: Joseph Galbraith [mailto:[email-masked]]
> Sent: Tuesday, January 17, 2006 11:57 AM
> To: Richard Whalen
> Cc: [email-masked]
> Subject: Re: Please publish the attached
> draft-galb-filexfer-extensions-00.txt
> 
> 
> Richard Whalen wrote:
>> Are there any restrictions on "copy-data"?  How are the offsets treated when the file is opened for text transfers?
> 
> Excellent questions... I feel a new draft coming on.
> 
> I believe the answer is that "copy-data" has no restrictions,
> other than that the the user not exceed quota (of course.)
> 
> Of course if it is a huge operation, the server is permitted
> to complete it out of order or out right refuse to do it.
> 
> Clarified in local sources.
> 
> I believe, since this is a local-to-local copy operation,
> we should forbid the files to be opened for text transfer--
> of course, with VMS having multiple different file local
> file formats, perhaps you'd prefer something different?
> What do you think it should do?
> 
>> In section 7 (Temporary files & directories)
>> You use "prefered" and "preferreed" that I believe should be "preferred"
> 
> Ahh.. I see that my creative speller was at full throttle.
> Fixed in local source.
> 
> Thanks,
> 
> Joseph
> 
>